summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: e4cf17c)
raw | patch | inline | side by side (parent: e4cf17c)
author | Junio C Hamano <junkio@cox.net> | |
Tue, 13 Sep 2005 20:16:45 +0000 (13:16 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 13 Sep 2005 20:39:06 +0000 (13:39 -0700) |
The part that can fail is before the pipe, so we need to propagate the
error properly to the main process.
Signed-off-by: Junio C Hamano <junkio@cox.net>
error properly to the main process.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-ls-remote.sh | patch | blob | history |
diff --git a/git-ls-remote.sh b/git-ls-remote.sh
index 604c5f5bbe5c8882f99552a87b32f7a78019d234..bfbd5a4d5a1bb35f9f52e3a495d1830b76078a7c 100755 (executable)
--- a/git-ls-remote.sh
+++ b/git-ls-remote.sh
if [ -n "$GIT_SSL_NO_VERIFY" ]; then
curl_extra_args="-k"
fi
- curl -nsf $curl_extra_args "$peek_repo/info/refs" || exit 1
+ curl -nsf $curl_extra_args "$peek_repo/info/refs" ||
+ echo "failed slurping"
;;
rsync://* )
mkdir $tmpdir
- rsync -rq "$peek_repo/refs" $tmpdir || exit 1
+ rsync -rq "$peek_repo/refs" $tmpdir || {
+ echo "failed slurping"
+ exit
+ }
(cd $tmpdir && find refs -type f) |
while read path
do
;;
* )
- git-peek-remote "$peek_repo"
+ git-peek-remote "$peek_repo" ||
+ echo "failed slurping"
;;
esac |
sort -t ' ' -k 2 |
while read sha1 path
do
+ case "$sha1" in
+ failed)
+ die "Failed to find remote refs"
+ esac
case "$path" in
refs/heads/*)
group=heads ;;